﻿function GetPluginSettings()
{
    return {
        "name": "Android Tools",
        "id": "miladesign_AndroidTools",
        "version": "1.6.4",
        "description": "Usefull Android Tools Plugin",
        "author": "Milad Mohammadi Rezagah",
        "help url": "http://miladesign.ir/",
        "category": "MilaDesign Plugins",
        "type": "object",
        "rotatable": false,
        "cordova-plugins": "https://github.com/miladesign/cordova-plugin-android-tools",
        "flags": 0 | pf_singleglobal
    };
};

////////////////////////////////////////
// Conditions

AddCondition(0, cf_trigger, "اگر ویبره در دسترس بود", "دستگاه", "اگر ویبره در دسترس بود", "اگر ویبره در دسترس بود", "onVibrateSupported");
AddCondition(1, cf_trigger, "اگر ویبره در دسترس نبود", "دستگاه", "اگر ویبره در دسترس نبود", "اگر ویبره در دسترس نبود", "onVibrateNotSupported");
AddCondition(2, cf_trigger, "اگر میزان حداکثر صدا دریافت شد", "دستگاه", "اگر میزان حداکثر صدا دریافت شد", "اگر میزان حداکثر صدا دریافت شد", "onMaxVolume");
AddCondition(3, cf_trigger, "اگر گزینه اول دیالوگ کلیک شد", "دیالوگ", "اگر گزینه اول دیالوگ کلیک شد", "اگر گزینه اول دیالوگ کلیک شد", "onButton1Clicked");
AddCondition(4, cf_trigger, "اگر گزینه دوم دیالوگ کلیک شد", "دیالوگ", "اگر گزینه دوم دیالوگ کلیک شد", "اگر گزینه دوم دیالوگ کلیک شد", "onButton2Clicked");
AddCondition(5, cf_trigger, "اگر گزینه سوم دیالوگ کلیک شد", "دیالوگ", "اگر گزینه سوم دیالوگ کلیک شد", "اگر گزینه سوم دیالوگ کلیک شد", "onButton3Clicked");
AddCondition(6, cf_trigger, "On Input Dialog Ok Clicked", "دیالوگ", "On Input Dialog Ok Button Clicked", "On Input Dialog Ok Button Clicked", "onInputSuccess");
AddCondition(7, cf_trigger, "On Input Dialog Cancel Clicked", "دیالوگ", "On Input Dialog Cancel Button Clicked", "On Input Dialog Cancel Button Clicked", "onInputCancel");

////////////////////////////////////////
// Actions
AddStringParam("Title", "عنوان");
AddStringParam("Message", "متن");
AddAction(0, af_none, "Show ProgressDialog", "دیالوگ", "Show ProgressDialog", "Show ProgressDialog", "ShowProgressDialog");
AddAction(1, af_none, "Hide ProgressDialog", "دیالوگ", "Hide ProgressDialog", "Hide ProgressDialog", "HideProgressDialog");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(2, af_none, "امتیاز به بازی", "بازار", "امتیاز به بازی در بازار", "امتیاز به بازی در بازار", "BazaarRate");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(3, af_none, "صفحه بازی", "بازار", "بازکردن صفحه بازی در بازار", "بازکردن صفحه بازی در بازار", "BazaarApp");
AddStringParam("User Name", "شناسه توسعه دهنده");
AddAction(4, af_none, "صفحه توسعه دهنده", "بازار", "بازکردن صفحه توسعه دهنده در بازار", "بازکردن صفحه توسعه دهنده در بازار", "BazaarDeveloper");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(5, af_none, "امتیاز به بازی", "مایکت", "امتیاز به بازی در مایکت", "امتیاز به بازی در مایکت", "MyketRate");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(6, af_none, "صفحه بازی", "مایکت", "بازکردن صفحه بازی در مایکت", "بازکردن صفحه بازی در مایکت", "MyketApp");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(7, af_none, "صفحه توسعه دهنده", "مایکت", "بازکردن صفحه توسعه دهنده در مایکت", "بازکردن صفحه توسعه دهنده در مایکت", "MyketDeveloper");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(8, af_none, "امتیاز به بازی", "ایران اپس", "امتیاز به بازی در ایران اپس", "امتیاز به بازی در ایران اپس", "IranAppsRate");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(9, af_none, "صفحه بازی", "ایران اپس", "بازکردن صفحه بازی در ایران اپس", "بازکردن صفحه بازی در ایران اپس", "IranAppsApp");
AddStringParam("User Name", "شناسه توسعه دهنده");
AddAction(10, af_none, "صفحه توسعه دهنده", "ایران اپس", "بازکردن صفحه توسعه دهنده در ایران اپس", "بازکردن صفحه توسعه دهنده در ایران اپس", "IranAppsDeveloper");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(11, af_none, "امتیاز به بازی", "کندو", "امتیاز به بازی در کندو", "امتیاز به بازی در کندو", "CandoRate");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(12, af_none, "صفحه بازی", "کندو", "بازکردن صفحه بازی در کندو", "بازکردن صفحه بازی در کندو", "CandoApp");
AddStringParam("User Name", "شناسه توسعه دهنده");
AddAction(13, af_none, "صفحه توسعه دهنده", "کندو", "بازکردن صفحه توسعه دهنده در کندو", "بازکردن صفحه توسعه دهنده در کندو", "CandoDeveloper");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(14, af_none, "امتیاز به بازی", "پارس هاب", "امتیاز به بازی در پارس هاب", "امتیاز به بازی در پارس هاب", "ParshubRate");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(15, af_none, "صفحه بازی", "پارس هاب", "بازکردن صفحه بازی در پارس هاب", "بازکردن صفحه بازی در پارس هاب", "ParshubApp");
AddStringParam("User Name", "شناسه توسعه دهنده");
AddAction(16, af_none, "صفحه توسعه دهنده", "پارس هاب", "بازکردن صفحه توسعه دهنده در پارس هاب", "بازکردن صفحه توسعه دهنده در پارس هاب", "ParshubDeveloper");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(17, af_none, "صفحه بازی", "همه مارکت ها", "بازکردن صفحه بازی در همه مارکت ها", "بازکردن صفحه بازی در همه مارکت ها", "AllMarketsApp");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(18, af_none, "امتیاز به بازی", "اول مارکت", "امتیاز به بازی در اول مارکت", "امتیاز به بازی در اول مارکت", "AvvalMarketRate");
AddStringParam("User Name", "شناسه کانال یا پروفایل تلگرام");
AddAction(19, af_none, "باز کردن کانال تلگرام", "شبکه های اجتماعی", "باز کردن کانال یا پروفایل تلگرام", "باز کردن کانال یا پروفایل تلگرام", "TelegramProfile");
AddStringParam("User Name", "شناسه اینستاگرام");
AddAction(20, af_none, "باز کردن صفحه اینستاگرام", "شبکه های اجتماعی", "باز کردن صفحه اینستاگرام", "باز کردن صفحه اینستاگرام", "InstagramProfile");
AddStringParam("Title", "عنوان صفحه اشتراک گذاری");
AddStringParam("Message", "متنی که میخواهید به اشتراک بذارید");
AddAction(21, af_none, "به اشتراک گذاشتن متن", "Share", "به اشتراک گذاشتن متن", "به اشتراک گذاشتن متن", "ShareText");
AddStringParam("Title", "عنوان صفحه اشتراک گذاری");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(22, af_none, "به اشتراک گذاشتن فایل بازی", "Share", "به اشتراک گذاشتن فایل بازی", "به اشتراک گذاشتن فایل بازی", "ShareApp");
AddStringParam("Title", "عنوان");
AddStringParam("Message", "متن");
AddStringParam("Button Text", "متن گزینه تایید");
AddAction(23, af_none, "Show Dialog", "دیالوگ", "Show Dialog", "Show Dialog", "ShowDialog");
AddStringParam("Title", "عنوان");
AddStringParam("Message", "متن");
AddStringParam("Yes Button Text", "متن گزینه تایید");
AddStringParam("No Button Text", "متن گزینه رد کردن");
AddAction(24, af_none, "Show Exit Dialog", "دیالوگ", "Show Exit Dialog", "Show Exit Dialog", "ExitDialog");
AddStringParam("Message", "متن برای نمایش");
AddComboParamOption("Short");
AddComboParamOption("Long");
AddComboParam("Duration");
AddAction(25, af_none, "Show Toast", "دیالوگ", "Show {1} Toast. Message: {0}", "Show Toast", "ShowToast");
AddAction(26, af_none, "بررسی ویبره", "دستگاه", "بررسی ویبره", "بررسی ویبره", "VibrateSupported");
AddNumberParam("Duration", "مقدار زمان بر حسب میلی ثانیه");
AddAction(27, af_none, "ویبره", "دستگاه", "ویبره {0} میلی ثانیه", "ویبره", "VibrateDevice");
AddStringParam("Message", "متن برای نمایش");
AddComboParamOption("Short");
AddComboParamOption("Long");
AddComboParam("Duration");
AddComboParamOption("Default");
AddComboParamOption("Success");
AddComboParamOption("Error");
AddComboParamOption("Info");
AddComboParamOption("Warning");
AddComboParam("Type", "نوع پیام قابل نمایش");
AddAction(28, af_none, "Show Custom Toast", "دیالوگ", "Show <i>{2}</i> Toast {1}. Message: {0}", "Show Custom Toast", "CustomToast");
AddNumberParam("Value", "مقدار نور صفحه بین 0 تا 1");
AddAction(29, af_none, "تغییر نور صفحه", "صفحه", "تغییر نور صفحه", "تغییر میزان نور صفحه", "SetScreenBrightness");
AddStringParam("Package Name", "\"com.company.example\" شناسه برنامه. مانند");
AddAction(30, af_none, "باز کردن برنامه", "دیگر", "باز کردن برنامه", "باز کردن برنامه", "OpenApp");
AddStringParam("Site url", "آدرس سایت را وارد کنید");
AddAction(31, af_none, "باز کردن سایت", "دیگر", "باز کردن سایت در مرورگر", "باز کردن سایت در مرورگر", "OpenUrl");
AddComboParamOption("Landscape");
AddComboParamOption("Portrait");
AddComboParamOption("Reverse Landscape");
AddComboParam("Type");
AddAction(32, af_none, "تغییر جهت صفحه", "صفحه", "تغییر جهت صفحه", "تغییر جهت صفحه", "SetScreenOrientation");
AddStringParam("Message", "پیام");
AddStringParam("Phone Number", "شماره همراه با کد. مثال \"+989123456789\"");
AddAction(33, af_none, "باز کردن صفحه چت واتساپ", "شبکه های اجتماعی", "باز کردن صفحه چت واتساپ با {0}", "باز کردن صفحه چت واتساپ", "OpenWhatsapp");
AddComboParamOption("Voice Call");
AddComboParamOption("System");
AddComboParamOption("Ring");
AddComboParamOption("Music");
AddComboParamOption("Alarm");
AddComboParamOption("Notification");
AddComboParam("Channel");
AddNumberParam("Value", "مقدار صدا");
AddComboParamOption("No");
AddComboParamOption("Yes");
AddComboParam("Show UI?");
AddAction(34, af_none, "تغییر میزان صدا", "دستگاه", "تغییر میزان صدا", "تغییر میزان صدا", "SetVolume");
AddComboParamOption("Voice Call");
AddComboParamOption("System");
AddComboParamOption("Ring");
AddComboParamOption("Music");
AddComboParamOption("Alarm");
AddComboParamOption("Notification");
AddComboParam("Channel");
AddAction(35, af_none, "بررسی حداکثر میزان صدا", "دستگاه", "بررسی حداکثر میزان صدا", "بررسی حداکثر میزان صدا", "GetMaxVolume");
AddComboParamOption("بی صدا");
AddComboParamOption("ویبره");
AddComboParamOption("عادی");
AddComboParam("Mode");
AddAction(36, af_none, "تغییر حالت صدای دستگاه", "دستگاه", "تغییر حالت صدای دستگاه به {0}", "تغییر حالت صدای دستگاه", "SetRingerMode");
AddStringParam("Title", "عنوان");
AddStringParam("Message", "متن");
AddStringParam("Button 1", "متن گزینه اول. اگر خالی باشد نمایش داده نمی شود");
AddStringParam("Button 2", "متن گزینه دوم. اگر خالی باشد نمایش داده نمی شود");
AddStringParam("Button 3", "متن گزینه سوم. اگر خالی باشد نمایش داده نمی شود");
AddAction(37, af_none, "Custom Dialog", "دیالوگ", "Show Custom Dialog", "Show Custom Dialog", "ThreeDialog");
AddStringParam("Title", "عنوان");
AddStringParam("Message", "متن");
AddStringParam("Button OK");
AddStringParam("Button Cancel");
AddStringParam("Hint");
AddComboParamOption("Text");
AddComboParamOption("Number");
AddComboParamOption("Phone");
AddComboParamOption("Text Password");
AddComboParamOption("MultiLine Text");
AddComboParamOption("Date");
AddComboParam("Type");
AddStringParam("فرمت تاریخ","اگر نوع دیالوگ را تاریخ انتخاب نکرده اید خالی بگذارید");
AddAction(38, af_none, "Input Dialog", "دیالوگ", "Show Input Dialog", "Show Input Dialog", "InputDialog");
AddStringParam("متن","متنی که می خواهید کپی کنید را وارد کنید.");
AddAction(39, af_none, "کپی کردن متن", "دستگاه", "کپی کردن متن", "کپی کردن متن", "CopyToClipboard");

////////////////////////////////////////
// Expressions
AddExpression(0, ef_return_string, "Get unique device id", "device", "get_id", "Get the unique id of the device. (Remains the same after app uninstall)");
AddExpression(1, ef_return_number, "Get Max Volume", "device", "maxVolume", "Get Max Volume");
AddExpression(2, ef_return_string, "Get Input text", "dialog", "getInput", "Get Input Dialog Text");

ACESDone();

////////////////////////////////////////
// Properties
var property_list = [];

// Called by IDE when a new object type is to be created
function CreateIDEObjectType()
{
    return new IDEObjectType();
}

// Class representing an object type in the IDE
function IDEObjectType()
{
    assert2(this instanceof arguments.callee, "Constructor called as a function");
}

// Called by IDE when a new object instance of this type is to be created
IDEObjectType.prototype.CreateInstance = function(instance)
{
    return new IDEInstance(instance);
}

// Class representing an individual instance of an object in the IDE
function IDEInstance(instance, type)
{
    assert2(this instanceof arguments.callee, "Constructor called as a function");

    // Save the constructor parameters
    this.instance = instance;
    this.type = type;

    // Set the default property values from the property table
    this.properties = {};

    for (var i = 0; i < property_list.length; i++)
        this.properties[property_list[i].name] = property_list[i].initial_value;

    // Plugin-specific variables
    // this.myValue = 0...
}

// Called when inserted via Insert Object Dialog for the first time
IDEInstance.prototype.OnInserted = function()
{
}

// Called when double clicked in layout
IDEInstance.prototype.OnDoubleClicked = function()
{
}

// Called after a property has been changed in the properties bar
IDEInstance.prototype.OnPropertyChanged = function(property_name)
{
}

// For rendered objects to load fonts or textures
IDEInstance.prototype.OnRendererInit = function(renderer)
{
}

// Called to draw self in the editor if a layout object
IDEInstance.prototype.Draw = function(renderer)
{
}

// For rendered objects to release fonts or textures
IDEInstance.prototype.OnRendererReleased = function(renderer)
{
}

